version: '3.7'

services:

  mysqld:
    hostname: hume
    image: mysql/mysql-server
    deploy:
      resources:
        limits:
          cpus: '2'
          memory: 1G
        reservations:
          cpus: '0.10'
          memory: 128M
    environment:
    - MYSQL_ROOT_PASSWORD=password
    ports:
    - "3306:3306"
    networks:
      devnet:
        aliases:
        - mysqld
    volumes:
    - d:/share:/share
    - android-dev:/persist
    entrypoint: /persist/swarm/devenv/mysqld/startup.sh

  jupyter:
    hostname: jupyter
    image: jupyter/tensorflow-notebook
    deploy:
      resources:
        limits:
          cpus: '4'
          memory: 4G
        reservations:
          cpus: '0.10'
          memory: 128M
    user: root
    environment:
    - JUPYTER_ENABLE_LAB=yes
    - NB_USER=adam
    ports:
    - "8888:8888"
    networks:
      devnet:
        aliases:
        - jupyter
    volumes:
    - d:/share:/share
    - android-dev:/persist
    entrypoint: /persist/swarm/devenv/jupyter/startup.sh
    links:
    - mysqld

  cosmic-sshd:
    build: ../../docker/cosmic-sshd
    hostname: dirac
    image: cosmic-sshd:6
    ports:
    - "22:22"
    networks:
      devnet:
        aliases:
        - cosmic-sshd
    cap_add:
      - SYS_ADMIN
      - DAC_READ_SEARCH
    volumes:
    - d:/share:/share
    - android-dev:/persist
    depends_on:
    - mysqld
    - jupyter
    links:
    - mysqld
    - jupyter

  cosmic-petalinux:
    build: ../../docker/cosmic-petalinux
    hostname: demeter
    image: cosmic-petalinux:1
    ports:
    - "2200:22"
    networks:
      devnet:
        aliases:
        - cosmic-petalinux
    volumes:
    - d:/share:/share
    - android-dev:/persist
    depends_on:
    - mysqld
    links:
    - mysqld

  xenial-petalinux:
    build: ../../docker/xenial-petalinux
    hostname: horus 
    image: xenial-petalinux:4
    ports:
    - "2201:22"
    networks:
      devnet:
        aliases:
        - xenial-petalinux
    volumes:
    - d:/share:/share
    - android-dev:/persist
    depends_on:
    - mysqld
    links:
    - mysqld

volumes:
  android-dev:
    external: true

networks:
  devnet:
